Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

"Use of uninitialized" warning in ack 1.92 #231

Closed
coke opened this Issue · 2 comments

2 participants

@coke

Doctor, it hurts when I do this:

$ ack S32 unrun| ack -v "-io"
Use of uninitialized value $str in lc at /home/coke/bin/ack line 1578.
Use of uninitialized value $str in string eq at /home/coke/bin/ack line 1578.
Use of uninitialized value $str in concatenation (.) or string at /home/coke/bin/ack line 1580.
$ ack --version
ack 1.92
Running under Perl 5.14.2 at /home/coke/perl5/perlbrew/perls/perl-5.14.2/bin/perl

Copyright 2005-2009 Andy Lester.

This program is free software; you can redistribute it and/or modify
it under the terms of either: the GNU General Public License as
published by the Free Software Foundation; or the Artistic License.
@coke

adding the needed -- before the "-io" avoids the warning.

@petdance
Owner

Wontfix. ack 2.0 is the current version.

@petdance petdance closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.